/**
 * Repräsentiert ein Datum mit Tag, Monat und Jahr
 */
public class Datum {
    /**
     * Datumswerte als Zahlen
     */
    private int tag, monat, jahr;

    /**
     * Erzeuge ein Datum aus einem Text
     *
     * @param datumText Datum im Format tt.mm.jjjj, z.B. "01.10.2014"
     */
    public Datum(String datumText) {
        // --- Hier ändern
        tag = 1;
        monat = 1;
        jahr = 1;
    }

    /**
     * Addiere eine Anzahl von Tagen auf das aktuelle Datum. Beispiel:
     * <p/>
     * Aktuelles Datum: tag=5, monat=10, jahr=2015
     * anzahlTage=10
     * Ergebnis: tag=15, monat=10, jahr=2015
     *
     * @param anzahlTage Anzahl der zu addierenden Tage
     */
    public Datum addiereTage(int anzahlTage) {
        // --- Hier ändern
        int neuerTag = tag + anzahlTage;
        int neuerMonat = monat;
        int neuesJahr = jahr;

        // ---  Hier nicht mehr ändern
        return new Datum(neuerTag, neuerMonat, neuesJahr);
    }

    /**
     * Vergleiche dieses Datum mit dem anderen Datum. Wenn dieses Datum später ist als das andere Datum, dann gebe
     * true zurück. Beispiel:
     * <p/>
     * Dieses Datum: tag=5, monat=10, jahr=2015
     * anderesDatum: tag=4, monat=10, jahr=2015
     * Ergebnis: true
     *
     * @param anderesDatum Zu vergleichendes Datum
     * @return true, falls dieses Datum später ist
     */
    public boolean istSpaeterAls(Datum anderesDatum) {
        // --- Hier ändern
        return true;
    }

    // ------- Ab hier muss nichts mehr geändert werden

    /**
     * Erzeuge ein Datum aus Tag, Monat und Jahr
     *
     * @param tag   Tag
     * @param monat Monat
     * @param jahr  Jahr
     */
    public Datum(int tag, int monat, int jahr) {
        this.tag = tag;
        this.monat = monat;
        this.jahr = jahr;
    }
}
